> For the complete documentation index, see [llms.txt](https://docs.navigaglobal.com/newsroom-planner/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.navigaglobal.com/newsroom-planner/6.1.0-1/admin-guide/migration/4.x-5.x/cleanup.md).

# Cleanup

{% hint style="info" %}
**This cleanup is only meant for the migration guide from 4.x to 5.x**

**If you are installing 5.x for the first time OR you upgraded to 5.x but you reseted the config to default, then you can skip the cleanup steps**
{% endhint %}

{% hint style="danger" %}
If you have any custom config other than the listed ones below, **DON'T REMOVE THEM**

Make sure to only remove the listed configs below
{% endhint %}

## Property mappings

You need to clean up and remove the "Property mappings" config for the following types:

* Event
* PlanningItem
* Assignment

*Only keep your custom mappings config **"If you have any"***

### **Event**

```javascript
"xml": "EventXML",
"uuid": "uuid",
"mimetype": "mimetype",
"name": "EventName",
"sector": "EventSector",
"startDate": "EventStartDate",
"endDate": "EventEndDate",
"etag": "checksum",
"planningItem": {
        "property": "EventPlanningItemRelations"
}
```

### **PlanningItem**

```javascript
"uuid": "uuid",
"etag": "checksum",
"xml": "PlanningXML",
"mimetype": "mimetype",
"headline": "PlanningHeadline",
"urgency": "PlanningUrgency",
"statusHRM": "PlanningStatusHRM",
"sector": "PlanningSector",
"startDate": "PlanningStartDate",
"endDate": "PlanningEndDate",
"event": {
        "property": "PlanningEventRelation"
},
"assignments": {
        "property": "PlanningAssignmentsRelation"
}
```

### **Assignment**

```javascript
"etag": "checksum",
"uuid": "uuid",
"contentType": "contenttype",
"xml": "AssignmentXML",
"mimetype": "mimetype",
"headline": "AssignmentHeadline",
"type": "AssignmentType",
"statusHRM": "AssignmentStatusHRM",
"assigneeName": "AssignmentAssigneesName",
"endDate": "AssignmentEndDate",
"startDate": "AssignmentStartDate",
"articlesUuid": "AssignmentArticlesUuid",
"assignees": {
        "property": "AssignmentAssigneesRelation"
},
"articles": {
        "property": "AssignmentArticlesRelation"
},
"planningItem": {
        "property": "AssignmentPlanningItemRelation"
}
```

## Properties to fetch

You need to clean up and remove the "Properties to fetch" config for the following types:

* Event
* PlanningItem
* Assignment

*And only keep your custom mappings config **"If you have any"***

### **Event**

```javascript
"xml",
"planningItem.xml"
```

### **PlanningItem**

```javascript
"xml",
"event.xml",
"assignments.xml"
```

### **Assignment**

```javascript
"xml",
"assignees.xml",
"planningItem.xml"
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.navigaglobal.com/newsroom-planner/6.1.0-1/admin-guide/migration/4.x-5.x/cleanup.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
